 IIS Virtual Directory Management Utility

IIS Virtual Directory Management Utility

Use these tabs on the Virtual Directory Properties dialog box to specify a virtual root, its associated physical directory, the database, login information, and other permissions:

  • Virtual Directory Properties Dialog Box (General Tab)

  • Virtual Directory Properties Dialog Box (Security Tab)

  • Virtual Directory Properties Dialog Box (Data Source Tab)

  • Virtual Directory Properties Dialog Box (Settings Tab)

  • Virtual Directory Properties Dialog Box (Virtual Names Tab)

  • Virtual Directory Properties Dialog Box (Advanced Tab)


Virtual Directory Properties Dialog Box (General Tab)

Use this tab to specify the name of the virtual directory through which the database is accessed, and the physical directory path associated with the virtual directory.

The physical directory stores files accessed through the virtual directory. Template files or annotated mapping schema files are typically stored in this directory.

Options

Virtual Directory Name

Enter the name of the virtual directory (for example, VirtualRoot).

Local Path

Enter the full path to the physical directory associated with the virtual directory (for example, C:\Inetpub\Wwwroot\VirtualRoot). Click Browse to find the directory on the local computer. The browse button is unavailable when connected to a remote computer.


Virtual Directory Properties Dialog Box (Security Tab)

Use this tab to specify a login authentication method. The options on this tab map to the three Microsoft® Internet Information Server (IIS) authentication schemes.

Options

Always log on as

The Windows and SQL Server account types map to the anonymous access scheme of the IIS authentication security. With anonymous access, anyone can access the virtual directory. Everyone who accesses the server is logged on using the credentials specified in User Name and Password.

User Name
Specify a user name for the login. If SQL Server account type is selected, the account name specified must be a valid Microsoft SQL Server™ 2000 login. If Windows account type is selected, the supplied Microsoft Windows® login is used for all users.
Password
Specify the password for the SQL Server or Windows login that is selected.
SQL Server
Select to specify that a SQL Server login name and password be used to access a server. When a SQL Server login is specified, all users of this virtual directory will use that account.
Windows
Select to specify a Windows account for all users of the virtual directory. By default, IUSR_ServerName (the Internet Guest Account) is used to access the server. IUSR_ServerName is the user that is created when IIS is installed. By default, Enable Windows account synchronization is selected.

Use Windows Integrated Authentication

Select to authenticate using Windows logins.

This option maps to the Microsoft Windows NT® challenge/response (Windows NT 4.0) or Windows Integrated Authentication (Microsoft Windows 2000) IIS authentication method. Users with a valid Windows NT 4.0 or Windows 2000 user account are authenticated and allowed access to the virtual directory. Windows Integrated Authentication requires that the Windows user accounts be granted access to SQL Server.

Use Basic Authentication (Clear Text) to SQL Server account

Select to authenticate by prompting for a SQL Server login and password.

This option differs from the Basic Authentication method of IIS Authentication security. By selecting this option, a user is prompted for a SQL Server login and password. In this authentication option, anonymous authentication is enabled in IIS. The login supplied by the user must be a valid SQL Server login. Therefore, when you attempt to access the database, the ISAPI first tries the anonymous access; and if this fails, an error message is sent to the browser. The browser then shows a dialog box requesting a user name and password for SQL Server.


Virtual Directory Properties Dialog Box (Data Source Tab)

Use this tab to specify the instance of Microsoft® SQL Server™ 2000 that contains the database you want to connect to, and the database name.

Options

SQL Server

Enter the name of the server (and optionally, the instance of SQL Server) you want. Click the browse (...) button to view the servers running SQL Server on the network. If multiple instances of SQL Server are installed, you can specify the server name and the instance name. If no instance name is specified, the default instance is assumed.

Database

Enter the name of the default database on the server (for example, Northwind). The virtual directory maps to this database. Depending upon the access permissions, queries can be executed against other databases on the instance of SQL Server to which the virtual directory maps; however, the database specified here is the default.


Virtual Directory Properties Dialog Box (Settings Tab)

Use this tab to specify the type of Microsoft® SQL Server™ 2000 access you want to provide through the virtual directory.

Note Template and schema files can be stored anywhere. When a virtual name is created for the template or schema, the directory path specifies the location of these files.

By default, only templates are permitted in the URL. Optionally, execution of SQL queries, XPath queries or POST queries can also be allowed at the URL.

Options

Allow URL queries

Execute SQL queries directly at the URL. For security reasons, it is recommended that you not use this option.

Allow template queries

Execute a template in the URL. A template is a valid XML document, consisting of one or more SQL queries. This option is enabled by default.

Allow XPath

Execute XPath queries against annotated mapping schemas directly at the URL.

Allow POST

Enable the posting of the data to the database. By default, users cannot send data to the server but can access the data from the server.

Maximum size of POST queries (in kilobytes)

Specify the maximum amount of data (in kilobytes) that can be sent to the server per query.


Virtual Directory Properties Dialog Box (Virtual Names Tab)

Use this tab to create a virtual name that is specified directly as part of the URL to execute a template file, execute an XPath query against a mapping schema file, or access a database object. Because only virtual names are included in the URL, the information about what is executed and where files are stored is not exposed. This provides additional security.

Options

Defined virtual names

Specify the virtual name by which you will access the resource. For example, the virtual name as in the VirtualRoot virtual directory can be accessed at http://IISServer/VirtualRoot/as/.

Type

Specify the type of query for which the virtual name is being created.

dbobject
Indicates a database object.
schema
Indicates an XPath query against a mapping schema.
template
Indicates SQL queries in a template file.

Path

Specify the directory path where the templates and mapping schemas are located. The path can be absolute or relative (relative to the physical directory associated with the virtual directory). If a virtual name is created for dbobject type, no path is necessary. Click the browse (...) button to search the directory path. The browse button is unavailable when managing remote computers.

When you create a template or schema mapping, the path can be a path to a folder or a path to a file. When the path is to a folder, the file name must be included on the URL (for example, http://IISServer/VirtualRoot/as/schema.xml). When the path is to a file, the mapping goes directly to that file, so only that file can be used.

URL paths are not allowed (the IIS Virtual Directory Management for SQL Server utility does not validate path entries).

New

Click to create a new virtual name.

Delete

Click to delete a mapping selected from the list of defined mappings.


Virtual Directory Properties Dialog Box (Advanced Tab)

Use this tab to specify the location of the ISAPI extension dynamic-link library (DLL) (Sqlisapi.dll for Microsoft® SQL Server™ 2000). This file is required to access an instance of SQL Server 2000 through the virtual directory.

Options

ISAPI Location

Specify the location of the Sqlisapi.dll. If the virtual directory is created on a remote server, you may have to provide the location of the Sqlisapi.dll (by default, Sqlisapi.dll is installed in the Program Files\Common Files\System\Ole DB directory). If Sqlisapi.dll is moved from its default location, the Sqlisapi.rll must also be moved to the same location.

Additional user settings

Specify additional optional settings. These settings are appended unparsed to the connection string passed in to OLE DB.

Caching options

Sqlisapi.dll has a caching option that stores the mapping schema in a cache to be reused in subsequent queries.

Select Disable caching of mapping schemas to prevent caching the mapping schemas. The mapping schemas are reloaded each time a query is executed against the schema.